summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Williams <nico@cryptonector.com>2015-07-28 00:28:54 -0500
committerNicolas Williams <nico@cryptonector.com>2015-07-28 00:28:54 -0500
commitb5edbf7ffa0cbe06d721103edc74856a5b528947 (patch)
tree4b540e0a6fd1cec814e0305125d692bc994fbe84
parent6b55baa00f048a8e722645acf69be263fc41bba8 (diff)
OS X's mktemp -d requires template (fix #876)
-rwxr-xr-xtests/setup4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/setup b/tests/setup
index 35a97913..a6bc5f45 100755
--- a/tests/setup
+++ b/tests/setup
@@ -29,8 +29,8 @@ clean () {
fi
}
trap clean EXIT
-d=`mktemp -d -t || true`
+d=`mktemp -d -t jqXXXXX || true`
if [ -z "$d" ]; then
echo "Your OS does not support mktemp(1) -d" 1>&2
- exit 0
+ exit 1
fi